package yem.wmc.ydn.formplugin.form;


import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.datamodel.IDataModel;
import kd.bos.form.events.AfterDoOperationEventArgs;
import kd.bos.form.plugin.AbstractFormPlugin;
import kd.bos.servicehelper.operation.SaveServiceHelper;
import yem.wmc.ydn.utils.CommonUtils;
import yem.wmc.ydn.utils.JsonToDataUtils;

/**
 * @author 金亮
 * @date 2024/4/18 17:56
 * @relevantfile 中间层数据(yem_oc_middlelayerdata)
 * @description 一键插入数据
 * @versions 1.0
 */
public class MiddlelayerEdit extends AbstractFormPlugin {
    @Override
    public void afterDoOperation(AfterDoOperationEventArgs e) {
        super.afterDoOperation(e);
        String operateKey = e.getOperateKey();
        if (operateKey.equals("yem_generateddata")) {
            IDataModel model = this.getModel();
            String yemType = (String) model.getValue("yem_type");//单据标识
            switch (yemType) {
                case "yem_oc_shipdownload": //海运跟踪下载
                    shipdownLoadJsonHandle(model, yemType);
                    break;
                case "yem_oc_shiptracking": //海运跟踪订阅（单号/箱号）
                    shipTrackingJsonHandle(model, yemType);
                    break;
                case "yem_oc_portdatabooking": //港区数据订阅
                    portdataBookingJsonHandle(model, yemType);
                    break;
                case "yem_oc_portdata": //港区数据订阅下载
                    portdataBookingJsonHandle(model, yemType);
                    break;
                default:
                    break;
            }
        }
        if (operateKey.equals("test")) {
            //CommonUtils.getToken();
//            this.getView().showMessage(CommonUtils.getPortdatabooking());//港区数据订阅   *
//            this.getView().showMessage(CommonUtils.getPortdata()); //港区数据订阅下载（港区数据）  *
//            this.getView().showMessage(CommonUtils.getShiptracking()); //海运跟踪订阅 *
            this.getView().showMessage(CommonUtils.getShipdownload()); //海运跟踪下载    *
//            this.getView().showMessage(CommonUtils.getQueryShip()); //单船搜索     *
//            this.getView().showMessage(CommonUtils.getPortofcall()); //船舶历史挂港   *
        }
    }


    /**
     * 根据不同的单据标识，获取不同的json数据
     *  作废
     *
     * @param billsName
     * @return
     */
    public String getJsonData(String billsName) {

        String jsonStr = null;
        if (billsName.equals("yem_oc_shipdownload")) { //海运跟踪下载
            jsonStr = "[{\"objlinertracking\":{\"keyid\":\"5294ee29-b4f2-47f9-a917-66ea4a641761\",\"localkeyid\":null,\"blprefix\":null,\"blno\":\"E470020041\",\"bkgno\":\"E470020041\",\"trfsno\":null,\"ctnrno\":\"TCNU3053817\",\"bkgvolumn\":\"4 units (4 * 40')\",\"plr\":\"PORT KLANG (MYPKG)\",\"plrcd\":\"MYLPK\",\"pol\":\"PORT KLANG (MYPKG)\",\"polcd\":\"MYLPK\",\"dtp\":\"NORFOLK\",\"dtpcd\":\"USORF\",\"pld\":\"CHICAGO, IL (USCHI)\",\"pldcd\":\"USCHI\",\"stsptime\":\"2023/10/16 21:29:00\",\"stspplace\":\"PORT KLANG - G-fortune depot\",\"fcgitime\":null,\"cggitime\":null,\"cloadtime\":null,\"cytctime\":null,\"cytcplace\":null,\"gitmtime\":null,\"gitmplace\":null,\"passtime\":null,\"passplace\":null,\"ispass\":null,\"ispreload\":null,\"lobdtime\":\"2023/10/24 8:49:00\",\"lobdplace\":\"PORT KLANG - WESTPORTS\",\"dlpttime\":\"2023/10/24 12:12:00\",\"dlptplace\":\"PORT KLANG - WESTPORTS\",\"etdpol\":\"2023/10/24 12:12:00\",\"trsptime\":\"2023/11/1 10:41:00\",\"trspplace\":\"SINGAPORE - PSA SINGAPORE\",\"etapld\":\"2023/12/12 12:00:00\",\"dschtime\":null,\"dschplace\":\"NORFOLK\",\"terminalpld\":\"\",\"terminaldtp\":\"NORFOLK INTERNATIONAL TERMINAL(NIT) (Firms code:L005)\",\"pickupreference\":null,\"railcode\":null,\"sealno\":null,\"csize\":null,\"ctype\":null,\"stcstime\":null,\"stcsplace\":null,\"rcvetime\":null,\"rcveplace\":null,\"currentnode\":\"TSDP\",\"currentnodetime\":\"2023/11/1 12:57:01\",\"currentnodeplace\":\"SINGAPORE\",\"depotcd\":null,\"depot\":null,\"terminalcd\":null,\"terminal\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"carriercd\":\"YML\",\"carrier\":null,\"updatetime\":\"2023/11/15 15:18:35\",\"createtime\":\"2023/10/24 20:45:28\",\"declarationno\":null,\"referenceno\":\"E470020041\",\"isctnr\":\"\",\"currentvslname\":\"ONE EAGLE\",\"currentvoy\":\"030E\",\"companycd\":null,\"endtime\":null,\"isendforce\":null,\"tmpstime\":null,\"istmps\":null,\"lstlinertrackingstatus\":[],\"lstlinertrackingais\":[],\"lstlinertrackingctnrinfo\":[{\"keyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"fkeyid\":\"5294ee29-b4f2-47f9-a917-66ea4a641761\",\"ctnrno\":\"TCNU3053817\",\"blno\":\"YMJAE470020041\",\"sealno\":\"YMAP326946\",\"csize\":\"40\",\"ctype\":\"HQ\",\"pkgs\":null,\"gwgt\":null,\"currentnode\":null,\"currentnodetime\":null,\"createtime\":\"2023/11/14 22:17:49\",\"updatetime\":\"2023/11/14 22:17:49\",\"lstLinertrackingStatus\":[{\"keyid\":\"0d736f7b-3fc1-4092-9ec7-e4decdb37d79\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"STSP\",\"statedescription\":\"提空\",\"statedescription_en\":\"Empty to Shipper\",\"statustime\":\"2023/10/17 10:28:00\",\"statusplace\":\"PORT KLANG - G-fortune depot\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"TRUCK\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"TRUCK\",\"transportationcd\":null},{\"keyid\":\"64f9df79-69ff-4d80-817c-a95e0dab9461\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":null,\"statedescription\":\"Received at Origin\",\"statedescription_en\":\"Received at Origin\",\"statustime\":\"2023/10/21 14:39:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"\",\"statusplace_cn\":null,\"vslname\":\"TRUCK\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:55:48\",\"createtime\":\"2023/11/15 15:18:35\",\"transportation\":null,\"transportationcd\":null},{\"keyid\":\"8246c2f6-2730-4603-8413-d18f8e454edd\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"LOBD\",\"statedescription\":\"装船\",\"statedescription_en\":\"On Board\",\"statustime\":\"2023/10/24 8:49:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSEL\",\"transportationcd\":null},{\"keyid\":\"5c3e979b-8814-481d-ae7d-f195af8b1d3e\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":null,\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/15 14:27:02\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"d8bbd214-cbd1-4dec-aa99-ba7066c06f59\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"DLPT\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"87c31251-7b96-47bf-8a98-a9fd367b7959\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"DLPT\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"4fe372e3-52bd-487c-bbde-699cbc03b27e\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":null,\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/15 14:27:02\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"71fb75ea-b472-450f-bf0e-388b0d675bab\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"TSBA\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/10/25 10:20:00\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"d5132449-c450-4c9c-ac6d-ce585f94c708\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"TSBA\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/10/25 10:20:00\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"981009f9-8d2d-486c-9bb7-76bcf37d340f\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"TSDC\",\"statedescription\":\"卸船\",\"statedescription_en\":\"Discharged (Transit)\",\"statustime\":\"2023/10/25 23:08:00\",\"statusplace\":\"SINGAPORE - PSA SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"\",\"transportationcd\":null},{\"keyid\":\"a322d700-992a-46db-8b24-2e640cc03f55\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"TSLB\",\"statedescription\":\"装船\",\"statedescription_en\":\"On Board (Transit)\",\"statustime\":\"2023/11/1 10:41:00\",\"statusplace\":\"SINGAPORE - PSA SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSEL\",\"transportationcd\":null},{\"keyid\":\"45eec973-d42c-4259-bb8f-29986c5f1deb\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/11/1 12:57:00\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"09a0a016-c969-4818-9d1f-778df302ee60\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/11/1 12:57:01\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"3f664380-b603-46f3-9a24-e6ed879c5500\",\"fkeyid\":\"77660ca2-234f-4db5-acbd-bf8e34883722\",\"blno\":\"E470020041\",\"statuscd\":\"BDAR\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/12/12 12:00:00\",\"statusplace\":\"NORFOLK\",\"statusplacecd\":\"USORF\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 10:27:00\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null}]},{\"keyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"fkeyid\":\"5294ee29-b4f2-47f9-a917-66ea4a641761\",\"ctnrno\":\"TEMU7025048\",\"blno\":\"YMJAE470020041\",\"sealno\":\"YMAP326952\",\"csize\":\"40\",\"ctype\":\"HQ\",\"pkgs\":null,\"gwgt\":null,\"currentnode\":null,\"currentnodetime\":null,\"createtime\":\"2023/11/14 22:17:49\",\"updatetime\":\"2023/11/14 22:17:49\",\"lstLinertrackingStatus\":[{\"keyid\":\"24f7d2ad-8208-4dd7-a9c3-a688ba861b7d\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"STSP\",\"statedescription\":\"提空\",\"statedescription_en\":\"Empty to Shipper\",\"statustime\":\"2023/10/16 17:21:00\",\"statusplace\":\"PORT KLANG - G-fortune depot\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"TRUCK\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"TRUCK\",\"transportationcd\":null},{\"keyid\":\"e76f7951-2a3c-4c0e-b281-5d3928db8d1e\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":null,\"statedescription\":\"Received at Origin\",\"statedescription_en\":\"Received at Origin\",\"statustime\":\"2023/10/21 10:21:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"\",\"statusplace_cn\":null,\"vslname\":\"TRUCK\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:55:48\",\"createtime\":\"2023/11/15 15:18:35\",\"transportation\":null,\"transportationcd\":null},{\"keyid\":\"b195c066-b199-4370-8748-ee122b4c0fa1\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"LOBD\",\"statedescription\":\"装船\",\"statedescription_en\":\"On Board\",\"statustime\":\"2023/10/24 10:14:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSEL\",\"transportationcd\":null},{\"keyid\":\"5ad253e9-372d-497f-bfd8-e9387f558096\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":null,\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/15 14:27:02\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"9c5b5f23-67cb-4631-9b6e-e7a15d279ee7\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":null,\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/15 14:27:02\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"0724f577-8d1e-407b-823c-7f484a2c5f84\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"DLPT\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"c7f442b4-a9b6-4f9c-bded-b1c6a2bc5678\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"DLPT\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"bd9139d8-8d10-45dc-bf60-34017222aa91\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"TSBA\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/10/25 10:20:00\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"4cd4aa64-c65e-4b92-a2bc-4be6c9c21f67\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"TSBA\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/10/25 10:20:00\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"ec3a0609-7905-4a37-a7f5-662b00361042\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"TSDC\",\"statedescription\":\"卸船\",\"statedescription_en\":\"Discharged (Transit)\",\"statustime\":\"2023/10/25 17:31:00\",\"statusplace\":\"SINGAPORE - PSA SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"\",\"transportationcd\":null},{\"keyid\":\"d60d4148-3868-405c-8e37-bdb59ca2d392\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"TSLB\",\"statedescription\":\"装船\",\"statedescription_en\":\"On Board (Transit)\",\"statustime\":\"2023/11/1 9:19:00\",\"statusplace\":\"SINGAPORE - PSA SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSEL\",\"transportationcd\":null},{\"keyid\":\"e0125179-1414-49ab-b86f-2233cb3066bd\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/11/1 12:57:00\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"ab9a32ed-5e79-4045-b3ae-1b41d7775363\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/11/1 12:57:01\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"d20673b6-3314-45f5-a6ba-44c0f70cb727\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":\"E470020041\",\"statuscd\":\"BDAR\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/12/12 12:00:00\",\"statusplace\":\"NORFOLK\",\"statusplacecd\":\"USORF\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 10:27:01\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"e96403a9-6cc3-4ec2-a15b-43e93850600b\",\"fkeyid\":\"e18aed90-c264-4034-bd63-8e3953572df8\",\"blno\":null,\"statuscd\":\"PDAR\",\"statedescription\":\"抵达交货地\",\"statedescription_en\":\"PLACE OF DELIVERY ARRIVAL\",\"statustime\":\"2023/12/12 12:00:00\",\"statusplace\":\"CHICAGO, IL (USCHI)\",\"statusplacecd\":\"USCHI\",\"statusplace_cn\":null,\"vslname\":null,\"voy\":null,\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/15 14:27:02\",\"transportation\":null,\"transportationcd\":null}]},{\"keyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"fkeyid\":\"5294ee29-b4f2-47f9-a917-66ea4a641761\",\"ctnrno\":\"YMLU9023607\",\"blno\":\"YMJAE470020041\",\"sealno\":\"YMAQ233904\",\"csize\":\"40\",\"ctype\":\"HQ\",\"pkgs\":null,\"gwgt\":null,\"currentnode\":null,\"currentnodetime\":null,\"createtime\":\"2023/11/14 22:17:49\",\"updatetime\":\"2023/11/14 22:17:49\",\"lstLinertrackingStatus\":[{\"keyid\":\"d2b6bf47-a693-4e67-9df7-5a20ccc6a89b\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"STSP\",\"statedescription\":\"提空\",\"statedescription_en\":\"Empty to Shipper\",\"statustime\":\"2023/10/18 0:01:00\",\"statusplace\":\"PORT KLANG - G-fortune depot\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"TRUCK\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"TRUCK\",\"transportationcd\":null},{\"keyid\":\"fa401a80-4bbb-4b99-a82a-2db2cf37d243\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":null,\"statedescription\":\"Received at Origin\",\"statedescription_en\":\"Received at Origin\",\"statustime\":\"2023/10/21 12:13:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"\",\"statusplace_cn\":null,\"vslname\":\"TRUCK\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:55:49\",\"createtime\":\"2023/11/15 15:18:35\",\"transportation\":null,\"transportationcd\":null},{\"keyid\":\"a00412f9-bb69-4af6-9113-7d82e7366dd2\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"LOBD\",\"statedescription\":\"装船\",\"statedescription_en\":\"On Board\",\"statustime\":\"2023/10/24 11:09:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSEL\",\"transportationcd\":null},{\"keyid\":\"5d3ea569-cedf-4451-890c-b4083cf6629b\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"DLPT\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"c4759179-f094-4895-a8d9-cf92bc492ee9\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"DLPT\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"b6191637-0c76-44a4-bfd8-ff95be060130\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":null,\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/15 14:27:02\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"18d7fba1-a5c0-4bd6-9d77-e7b8d0ecc347\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":null,\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/15 14:27:02\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"ae0a3a0f-0521-4a30-8176-ea010736adf9\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"TSBA\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/10/25 10:20:00\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"bf8ea475-3632-479b-a292-d6fcde44bf7f\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"TSBA\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/10/25 10:20:00\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"b8188a8a-a8b2-4a54-bfaa-258830167a6b\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"TSDC\",\"statedescription\":\"卸船\",\"statedescription_en\":\"Discharged (Transit)\",\"statustime\":\"2023/10/25 23:36:00\",\"statusplace\":\"SINGAPORE - PSA SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"\",\"transportationcd\":null},{\"keyid\":\"972fb176-24f9-4d85-b605-4df9e5a79f54\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"TSLB\",\"statedescription\":\"装船\",\"statedescription_en\":\"On Board (Transit)\",\"statustime\":\"2023/11/1 10:22:00\",\"statusplace\":\"SINGAPORE - PSA SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSEL\",\"transportationcd\":null},{\"keyid\":\"aab3dd79-1e3f-4916-b252-2a595421426e\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/11/1 12:57:00\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"79255b24-0d0b-40a3-a9c9-fe6a75d3b209\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/11/1 12:57:01\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"7db1afb1-23d1-4810-8883-784429591af8\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":null,\"statuscd\":\"PDAR\",\"statedescription\":\"抵达交货地\",\"statedescription_en\":\"PLACE OF DELIVERY ARRIVAL\",\"statustime\":\"2023/12/12 12:00:00\",\"statusplace\":\"CHICAGO, IL (USCHI)\",\"statusplacecd\":\"USCHI\",\"statusplace_cn\":null,\"vslname\":null,\"voy\":null,\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 15:18:35\",\"createtime\":\"2023/11/15 15:18:35\",\"transportation\":null,\"transportationcd\":null},{\"keyid\":\"445fd3ee-1d65-452b-a79f-88fc5842b7e4\",\"fkeyid\":\"b920b17f-2b0d-4d7f-9229-cb2f836a23e5\",\"blno\":\"E470020041\",\"statuscd\":\"BDAR\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/12/12 12:00:00\",\"statusplace\":\"NORFOLK\",\"statusplacecd\":\"USORF\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 10:27:01\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null}]},{\"keyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"fkeyid\":\"5294ee29-b4f2-47f9-a917-66ea4a641761\",\"ctnrno\":\"YMMU6119139\",\"blno\":\"YMJAE470020041\",\"sealno\":\"YMAQ233988\",\"csize\":\"40\",\"ctype\":\"HQ\",\"pkgs\":null,\"gwgt\":null,\"currentnode\":null,\"currentnodetime\":null,\"createtime\":\"2023/11/14 22:17:49\",\"updatetime\":\"2023/11/14 22:17:49\",\"lstLinertrackingStatus\":[{\"keyid\":\"71a89a62-399a-4261-ae25-f8002d3db05d\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"STSP\",\"statedescription\":\"提空\",\"statedescription_en\":\"Empty to Shipper\",\"statustime\":\"2023/10/16 21:29:00\",\"statusplace\":\"PORT KLANG - G-fortune depot\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"TRUCK\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"TRUCK\",\"transportationcd\":null},{\"keyid\":\"86b47e01-09db-4434-ad80-762e8d450a2e\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":null,\"statedescription\":\"Received at Origin\",\"statedescription_en\":\"Received at Origin\",\"statustime\":\"2023/10/21 14:39:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"\",\"statusplace_cn\":null,\"vslname\":\"TRUCK\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:55:49\",\"createtime\":\"2023/11/15 15:18:35\",\"transportation\":null,\"transportationcd\":null},{\"keyid\":\"e0c6bb5e-1ea5-4fb2-8ab7-6b6256e23768\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"LOBD\",\"statedescription\":\"装船\",\"statedescription_en\":\"On Board\",\"statustime\":\"2023/10/24 10:30:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSEL\",\"transportationcd\":null},{\"keyid\":\"35d67286-469a-4acd-a01b-cad65a63e70a\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":null,\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/15 14:27:02\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"fa69851c-1fb1-4d7c-bdf9-2655d4cb2e5e\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"DLPT\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"c6ed872a-d3a7-4336-a8f5-ce521aa935c1\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"DLPT\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG - WESTPORTS\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"8ef76637-f887-4c93-a242-7143c5093e86\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/10/24 12:12:00\",\"statusplace\":\"PORT KLANG\",\"statusplacecd\":\"MYLPK\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":null,\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/15 14:27:02\",\"createtime\":\"2023/11/15 14:27:02\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"1e03a330-0761-403c-8bf3-e464ff3cb8f0\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"TSBA\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/10/25 10:20:00\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"b8689ea5-8edd-4681-a39b-96e2bad5603f\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"TSBA\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/10/25 10:20:00\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"YM HEIGHTS\",\"voy\":\"356N\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"5333407e-a04e-4042-9b76-e9c55f17be15\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"TSDC\",\"statedescription\":\"卸船\",\"statedescription_en\":\"Discharged (Transit)\",\"statustime\":\"2023/10/25 12:37:00\",\"statusplace\":\"SINGAPORE - PSA SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"\",\"transportationcd\":null},{\"keyid\":\"fb0de85e-acd7-4ecf-8441-15c68e82804c\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"TSLB\",\"statedescription\":\"装船\",\"statedescription_en\":\"On Board (Transit)\",\"statustime\":\"2023/11/1 12:57:00\",\"statusplace\":\"SINGAPORE - PSA SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSEL\",\"transportationcd\":null},{\"keyid\":\"c0ecbb62-a88e-4014-b39e-ce3954336ef8\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/11/1 12:57:00\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"bdd7c07f-84c8-4e9a-8bcc-01595b16c20b\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"TSDP\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/11/1 12:57:01\",\"statusplace\":\"SINGAPORE\",\"statusplacecd\":\"SGSIN\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"4\",\"updatetime\":\"2023/11/14 22:17:49\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null},{\"keyid\":\"c776c910-bd8d-4c1d-958d-bb39450e0b0d\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":null,\"statuscd\":\"PDAR\",\"statedescription\":\"抵达交货地\",\"statedescription_en\":\"PLACE OF DELIVERY ARRIVAL\",\"statustime\":\"2023/12/12 12:00:00\",\"statusplace\":\"CHICAGO, IL (USCHI)\",\"statusplacecd\":\"USCHI\",\"statusplace_cn\":null,\"vslname\":null,\"voy\":null,\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 10:27:01\",\"createtime\":\"2023/11/15 10:06:51\",\"transportation\":null,\"transportationcd\":null},{\"keyid\":\"187aa718-9943-4e58-9f7a-25a68c5b1937\",\"fkeyid\":\"b07c8784-127a-42ad-8af5-85dcad602da7\",\"blno\":\"E470020041\",\"statuscd\":\"BDAR\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/12/12 12:00:00\",\"statusplace\":\"NORFOLK\",\"statusplacecd\":\"USORF\",\"statusplace_cn\":null,\"vslname\":\"ONE EAGLE\",\"voy\":\"030E\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"1\",\"updatetime\":\"2023/11/15 10:27:01\",\"createtime\":\"2023/11/14 22:17:49\",\"transportation\":\"VESSLE\",\"transportationcd\":null}]}],\"datatime\":\"2023/11/14 22:17:49\"},\"success\":true,\"status\":0,\"message\":null}]";
            jsonStr = "[{\"objlinertracking\":{\"keyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"localkeyid\":null,\"blprefix\":\"\",\"blno\":null,\"bkgno\":null,\"trfsno\":null,\"ctnrno\":\"TGHU6029333\",\"bkgvolumn\":null,\"plr\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"plrcd\":\"THLCH\",\"pol\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"polcd\":\"THLCH\",\"dtp\":\"Los Angeles,California,United States\",\"dtpcd\":\"USLAX\",\"pld\":\"Los Angeles,California,United States\",\"pldcd\":\"USLAX\",\"stsptime\":\"2023/2/16 11:04:00\",\"stspplace\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"fcgitime\":null,\"cggitime\":null,\"cloadtime\":null,\"cytctime\":null,\"cytcplace\":null,\"gitmtime\":\"2023/2/24 9:02:00\",\"gitmplace\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"passtime\":null,\"passplace\":null,\"ispass\":null,\"ispreload\":null,\"lobdtime\":\"2023/3/1 4:53:00\",\"lobdplace\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"dlpttime\":\"2023/3/2 17:17:00\",\"dlptplace\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"etdpol\":\"2023/3/2 17:17:00\",\"trsptime\":null,\"trspplace\":null,\"etapld\":\"2023/3/24 7:28:00\",\"dschtime\":\"2023/3/24 19:02:00\",\"dschplace\":\"Los Angeles,California,United States\",\"terminalpld\":null,\"terminaldtp\":\"\",\"pickupreference\":\"\",\"railcode\":\"\",\"sealno\":\"\",\"csize\":\"\",\"ctype\":\"\",\"stcstime\":\"2023/3/27 11:13:00\",\"stcsplace\":\"Los Angeles,California,United States\",\"rcvetime\":\"2023/3/28 7:20:00\",\"rcveplace\":\"Los Angeles,California,United States\",\"currentnode\":\"RCVE\",\"currentnodetime\":\"2023/3/28 7:20:00\",\"currentnodeplace\":\"Los Angeles,California,United States\",\"depotcd\":null,\"depot\":null,\"terminalcd\":null,\"terminal\":null,\"vslname\":\"CMA CGM ADONIS\",\"voy\":\"0TUROW1MA\",\"carriercd\":\"CMA\",\"carrier\":null,\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:36\",\"declarationno\":null,\"referenceno\":null,\"isctnr\":\"1\",\"currentvslname\":null,\"currentvoy\":null,\"companycd\":null,\"endtime\":\"2023/4/4 11:15:08\",\"isendforce\":\"N\",\"tmpstime\":null,\"istmps\":null,\"lstlinertrackingstatus\":[{\"keyid\":\"7adba585-edad-468b-81dc-cfbd24f756e2\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":\"STSP\",\"statedescription\":\"提空\",\"statedescription_en\":\"Empty to shipper\",\"statustime\":\"2023/2/16 11:04:00\",\"statusplace\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"statusplacecd\":\"THLCH\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"09cf855b-4e45-4b54-8922-7220fe5b440c\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":null,\"statedescription\":\"Received for export transfer\",\"statedescription_en\":\"Received for export transfer\",\"statustime\":\"2023/2/17 15:39:00\",\"statusplace\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"statusplacecd\":\"THLCH\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"d6b85e30-fbd7-46c1-9973-c589e853cd2d\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":null,\"statedescription\":\"Container in transit for export\",\"statedescription_en\":\"Container in transit for export\",\"statustime\":\"2023/2/24 7:31:00\",\"statusplace\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"statusplacecd\":\"THLCH\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"6885dca9-b26f-437f-9b2c-54f0cbfd95d6\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":\"GITM\",\"statedescription\":\"进场\",\"statedescription_en\":\"Ready to be loaded\",\"statustime\":\"2023/2/24 9:02:00\",\"statusplace\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"statusplacecd\":\"THLCH\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"7e8183dd-e6c9-49c2-9fc8-1ac2e59cecad\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":\"LOBD\",\"statedescription\":\"装船\",\"statedescription_en\":\"Loaded on board\",\"statustime\":\"2023/3/1 4:53:00\",\"statusplace\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"statusplacecd\":\"THLCH\",\"statusplace_cn\":null,\"vslname\":\"CMA CGM ADONIS\",\"voy\":\"0TURNE1MA\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"781bca95-159f-4723-b4d2-14fd17d06fd0\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":\"DLPT\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/3/2 17:17:00\",\"statusplace\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"statusplacecd\":\"THLCH\",\"statusplace_cn\":null,\"vslname\":\"CMA CGM ADONIS\",\"voy\":\"0TUROW1MA\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"931c2555-7760-490e-a014-fb82776e2612\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":\"DLPT\",\"statedescription\":\"开航\",\"statedescription_en\":\"DEPARTURE FROM LOAD PORT\",\"statustime\":\"2023/3/2 17:17:00\",\"statusplace\":\"Laem Chabang,Changwat Chon Buri,Thailand\",\"statusplacecd\":\"THLCH\",\"statusplace_cn\":null,\"vslname\":\"CMA CGM ADONIS\",\"voy\":\"0TUROW1MA\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"5149dd20-fee2-4ab3-be1d-6f6d25ae7c56\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":\"PDAR\",\"statedescription\":\"抵达交货地\",\"statedescription_en\":\"Vessel Arrival\",\"statustime\":\"2023/3/24 7:28:00\",\"statusplace\":\"Los Angeles,California,United States\",\"statusplacecd\":\"USLAX\",\"statusplace_cn\":null,\"vslname\":\"CMA CGM ADONIS\",\"voy\":\"0TUROW1MA\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"e70f97c2-125f-4282-8b17-3733b09417f3\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":null,\"statuscd\":\"PDAR\",\"statedescription\":\"抵达交货地\",\"statedescription_en\":\"PLACE OF DELIVERY ARRIVAL\",\"statustime\":\"2023/3/24 7:28:00\",\"statusplace\":\"Los Angeles,California,United States\",\"statusplacecd\":\"USLAX\",\"statusplace_cn\":null,\"vslname\":null,\"voy\":null,\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"d649b62f-08b8-4715-a3b7-5b8d517ccfd4\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":\"BDAR\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/3/24 7:28:00\",\"statusplace\":\"Los Angeles,California,United States\",\"statusplacecd\":\"USLAX\",\"statusplace_cn\":null,\"vslname\":\"CMA CGM ADONIS\",\"voy\":\"0TUROW1MA\",\"isest\":\"Y\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"1b258a1e-3a15-4401-bb0c-e7b20b5d7c3d\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":\"BDAR\",\"statedescription\":\"抵港\",\"statedescription_en\":\"BOARD ARRIVE\",\"statustime\":\"2023/3/24 7:28:00\",\"statusplace\":\"Los Angeles,California,United States\",\"statusplacecd\":\"USLAX\",\"statusplace_cn\":null,\"vslname\":\"CMA CGM ADONIS\",\"voy\":\"0TUROW1MA\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"0a09b9a3-38a8-4067-b4b8-aa081c95f5bc\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":\"DSCH\",\"statedescription\":\"卸船\",\"statedescription_en\":\"Discharged\",\"statustime\":\"2023/3/24 19:02:00\",\"statusplace\":\"Los Angeles,California,United States\",\"statusplacecd\":\"USLAX\",\"statusplace_cn\":null,\"vslname\":\"CMA CGM ADONIS\",\"voy\":\"0TUROW1MA\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"aa0375ca-ab26-4f61-8d67-edacd72fa346\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":\"PDDS\",\"statedescription\":\"交货地卸箱\",\"statedescription_en\":\"Discharged\",\"statustime\":\"2023/3/24 19:02:00\",\"statusplace\":\"Los Angeles,California,United States\",\"statusplacecd\":\"USLAX\",\"statusplace_cn\":null,\"vslname\":\"CMA CGM ADONIS\",\"voy\":\"0TUROW1MA\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"b0a90c71-228f-43ca-9706-19487b9b465c\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":\"STCS\",\"statedescription\":\"提货\",\"statedescription_en\":\"Container to consignee\",\"statustime\":\"2023/3/27 11:13:00\",\"statusplace\":\"Los Angeles,California,United States\",\"statusplacecd\":\"USLAX\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"},{\"keyid\":\"e0b1cef4-2b80-4409-8bd0-6d4297a07739\",\"fkeyid\":\"13479315-db79-4aab-82ad-7ac91cc1f607\",\"blno\":\"\",\"statuscd\":\"RCVE\",\"statedescription\":\"还空\",\"statedescription_en\":\"Container Empty Returned\",\"statustime\":\"2023/3/28 7:20:00\",\"statusplace\":\"Los Angeles,California,United States\",\"statusplacecd\":\"USLAX\",\"statusplace_cn\":null,\"vslname\":\"\",\"voy\":\"\",\"isest\":\"N\",\"cancelid\":null,\"sourcecd\":\"\",\"updatetime\":\"2023/4/4 10:31:40\",\"createtime\":\"2023/4/4 10:31:40\",\"transportation\":\"\",\"transportationcd\":\"\"}],\"lstlinertrackingais\":[],\"lstlinertrackingctnrinfo\":[],\"datatime\":\"2023/4/4 10:31:40\"},\"success\":true,\"status\":0,\"message\":null}]";
        } else if (billsName.equals("yem_oc_shiptracking")) { //海运跟踪订阅（单号/箱号）
            jsonStr = "{\"success\":true,\"items\":[],\"number\":1,\"result\":[{\"localkeyid\":\"123\",\"referenceno\":null,\"ctnrno\":\"CSNU1552621\",\"carriercd\":\"COSCO\",\"isctnr\":\"1\",\"success\":true,\"message\":\"\"}]}";
        } else if (billsName.equals("yem_oc_portdatabooking")) { //港区数据订阅
            jsonStr = "{\"keyid\":\"5859f9a7-d0e8-428f-99f3-6e947169a005\",\"referenceno\":\"COAU8036422250\",\"portcd\":\"CNSHA\",\"ieid\":\"E\",\"success\":true,\"message\":\"\"}";
        } else if (billsName.equals("yem_oc_portdata")) { //港区数据订阅下载
            jsonStr = "{\"referenceno\":\"COAU8036422250\",\"localkeyid\":\"5859f9a7-d0e8-428f-99f3-6e947169a005\",\"data\":[{\"ctnrno\":\"CSLU2225565\",\"blno\":\"COAU8036422250\",\"owner\":\"CSE\",\"vslname\":\"OOCL ATLANTA\",\"voy\":\"153W\",\"ieid\":\"E\",\"csize\":\"20\",\"ctype\":\"GP\",\"terminalcd\":\"SHAZDMT\",\"terminal\":\"上海振东（外二）\",\"portcd\":\"CNSHA\",\"slot\":null,\"sealno\":\"CS692521\",\"customstatus\":\"Y\",\"customtime\":null,\"terminalrlsstatus\":\"Y\",\"terminalrlstime\":null,\"inspectionstatus\":null,\"inspectiontime\":null,\"ifci\":null,\"citime\":null,\"dgid\":null,\"dglevel\":\"\",\"dgunno\":\"\",\"rfid\":null,\"rftmp\":\" \",\"poundwgt\":\"25835\",\"vgm\":null,\"tarewgt\":\"2185\",\"pieces\":\"12\",\"grosswgt\":\"23650\",\"volume\":\"12\",\"pol\":\"CNSHA\",\"pod\":\"PKKHI\",\"dtp\":\"PKKHI\",\"intime\":\"2023/3/22 5:06:44\",\"outtime\":\"2023/3/25 0:07:27\",\"declarationno\":null,\"preloadid\":null,\"preloadtime\":null,\"intype\":\"出口进场\",\"outype\":\"出口装船\",\"cntrdynamic\":\"出口装船\",\"cntrdynamiccd\":\"\",\"truckno\":\"沪A97448\",\"efid\":\"F\"},{\"ctnrno\":\"FCIU4962297\",\"blno\":\"COAU8036422250\",\"owner\":\"CSE\",\"vslname\":\"OOCL ATLANTA\",\"voy\":\"153W\",\"ieid\":\"E\",\"csize\":\"20\",\"ctype\":\"GP\",\"terminalcd\":\"SHAZDMT\",\"terminal\":\"上海振东（外二）\",\"portcd\":\"CNSHA\",\"slot\":null,\"sealno\":\"CS841211\",\"customstatus\":\"Y\",\"customtime\":null,\"terminalrlsstatus\":\"Y\",\"terminalrlstime\":null,\"inspectionstatus\":null,\"inspectiontime\":null,\"ifci\":null,\"citime\":null,\"dgid\":null,\"dglevel\":\"\",\"dgunno\":\"\",\"rfid\":null,\"rftmp\":\" \",\"poundwgt\":\"26475\",\"vgm\":null,\"tarewgt\":\"2180\",\"pieces\":\"11\",\"grosswgt\":\"24295\",\"volume\":\"11\",\"pol\":\"CNSHA\",\"pod\":\"PKKHI\",\"dtp\":\"PKKHI\",\"intime\":\"2023/3/22 12:04:22\",\"outtime\":\"2023/3/25 0:00:03\",\"declarationno\":null,\"preloadid\":null,\"preloadtime\":null,\"intype\":\"出口进场\",\"outype\":\"出口装船\",\"cntrdynamic\":\"出口装船\",\"cntrdynamiccd\":\"\",\"truckno\":\"沪A97241\",\"efid\":\"F\"},{\"ctnrno\":\"OOLU1641325\",\"blno\":\"COAU8036422250\",\"owner\":\"CSE\",\"vslname\":\"OOCL ATLANTA\",\"voy\":\"153W\",\"ieid\":\"E\",\"csize\":\"20\",\"ctype\":\"GP\",\"terminalcd\":\"SHAZDMT\",\"terminal\":\"上海振东（外二）\",\"portcd\":\"CNSHA\",\"slot\":null,\"sealno\":\"CS823953\",\"customstatus\":\"Y\",\"customtime\":null,\"terminalrlsstatus\":\"Y\",\"terminalrlstime\":null,\"inspectionstatus\":null,\"inspectiontime\":null,\"ifci\":null,\"citime\":null,\"dgid\":null,\"dglevel\":\"\",\"dgunno\":\"\",\"rfid\":null,\"rftmp\":\" \",\"poundwgt\":\"27915\",\"vgm\":null,\"tarewgt\":\"2250\",\"pieces\":\"12\",\"grosswgt\":\"25665\",\"volume\":\"12\",\"pol\":\"CNSHA\",\"pod\":\"PKKHI\",\"dtp\":\"PKKHI\",\"intime\":\"2023/3/22 12:04:26\",\"outtime\":\"2023/3/25 0:00:00\",\"declarationno\":null,\"preloadid\":null,\"preloadtime\":null,\"intype\":\"出口进场\",\"outype\":\"出口装船\",\"cntrdynamic\":\"出口装船\",\"cntrdynamiccd\":\"\",\"truckno\":\"沪A97448\",\"efid\":\"F\"}],\"success\":true,\"status\":0,\"message\":null}";
        }
        return jsonStr;
    }


    /**
     * 海运跟踪下载(（单号订阅）)
     */
    public void shipdownLoadJsonHandle(IDataModel model, String yemType) {
        String jsonStr = getJsonData(yemType);
        JSONArray jsonArray = JSONObject.parseArray(jsonStr);
        JSONObject jsonData = jsonArray.getJSONObject(0);//默认只有一个
        DynamicObject bill = JsonToDataUtils.jsonToData(yemType, jsonData.getJSONObject("objlinertracking"),null);
        if (bill == null) {
            this.getView().showSuccessNotification("插入数据失败");
        } else {
            this.getView().showSuccessNotification("插入或更新数据成功，单据编号为:" + bill.getString("billno"));
        }
        //给表单上data 赋值
        JSONObject jsonObject = new JSONObject();//**
        if (jsonData.getBoolean("success")) {
            jsonObject.put("code", "200");
        } else {
            jsonObject.put("code", "500");
        }
        jsonObject.put("data", jsonStr);
        jsonObject.put("msg", jsonData.getString("message"));
        jsonObject.put("type", "authorization");
        model.setValue("yem_data", JSONObject.toJSONString(jsonObject).substring(0, 188).replaceAll("\\\\", ""));
        DynamicObject entity = model.getDataEntity(true);
        SaveServiceHelper.save(new DynamicObject[]{entity});
    }

    /**
     * 海运跟踪订阅（单号/箱号）
     *
     * @param model
     * @param yemType
     */
    public void shipTrackingJsonHandle(IDataModel model, String yemType) {
        String jsonStr = getJsonData(yemType);
        JSONObject json = JSONObject.parseObject(jsonStr);

        int number = json.getInteger("number");
        int succeedInsert = number;//成功插入数据
        JSONArray jsonResult = json.getJSONArray("result");//存储多条数据的集合
        for (Object object : jsonResult) {
            JSONObject rowJsonObj = (JSONObject) object;
            DynamicObject bill = JsonToDataUtils.jsonToData(yemType, rowJsonObj,null);
            if (bill == null) {
                succeedInsert--;
            }
        }
        //给表单上data 赋值
        JSONObject jsonObject = new JSONObject();//**
        JSONObject object = jsonResult.getJSONObject(0);
        if (object.getBoolean("success")) {
            jsonObject.put("code", "200");
        } else {
            jsonObject.put("code", "500");
        }
        jsonObject.put("data", json);
        jsonObject.put("msg", object.getString("message"));
        jsonObject.put("type", "authorization");
        model.setValue("yem_data", JSONObject.toJSONString(jsonObject).substring(0, 188).replaceAll("\\\\", ""));
        this.getView().showSuccessNotification("共" + number + "条数据,成功插入或更新" + succeedInsert + "条数据,失败" + (number - succeedInsert) + "条！");
        DynamicObject entity = model.getDataEntity(true);
        SaveServiceHelper.save(new DynamicObject[]{entity});
    }

    /**
     * 港区数据订阅/港区数据订阅下载
     *
     * @param model
     * @param yemType
     */
    public void portdataBookingJsonHandle(IDataModel model, String yemType) {
        String jsonStr = getJsonData(yemType);
        JSONObject json = JSONObject.parseObject(jsonStr);
        DynamicObject bill = JsonToDataUtils.jsonToData(yemType, json,null);
        if (bill == null) {
            this.getView().showSuccessNotification("插入或更新数据失败");
        } else {
            this.getView().showSuccessNotification("插入或更新数据成功，单据编号为:" + bill.getString("billno"));
        }
        JSONObject jsonObject = new JSONObject();
        if (json.getBoolean("success")) {
            jsonObject.put("code", "200");
        } else {
            jsonObject.put("code", "500");
        }
        jsonObject.put("data", jsonStr);
        jsonObject.put("msg", json.getString("message"));
        jsonObject.put("type", "authorization");
        if (jsonObject.toString().length() > 255) {
            model.setValue("yem_data", jsonObject.toString().substring(0, 180).replaceAll("\\\\", ""));
        } else {
            model.setValue("yem_data", jsonObject.toString().replaceAll("\\\\", ""));
        }
        DynamicObject entity = model.getDataEntity(true);
        SaveServiceHelper.save(new DynamicObject[]{entity});
    }

}